%define name	ices
%define version	0.3
%define rel	2

%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Source streaming for Icecast
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Patch0:		%{name}.conf.patch.bz2
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	libxml2-devel
BuildRequires:	libshout-devel >= 2.0-2mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot
PreReq:		rpm-helper
%if %build_plf
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	libmp3lame-devel
Obsoletes:	ices-lame
Provides:	ices-lame
%endif

%description
Ices is a part of Icecast serveur. It submit mp3's files from a playlist.  

%prep
%setup -q
%patch
bzcat %{SOURCE1} > %{name}
perl -pi -e 's/\#include \<parser.h\>/\#include \<libxml\/parser.h\>/' src/ices_config.c
perl -pi -e 's/\#include \<xmlmemory.h\>/\#include \<libxml\/xmlmemory.h\>/' src/ices_config.c

%build
%if %build_plf
OPTIONS="--with-lame --with-vorbis"
%endif
%configure	--with-moddir=%{_sysconfdir}/%{name} \
		--with-python-includes=%{_includedir}/python%{py_ver} \
		$OPTIONS
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mv $RPM_BUILD_ROOT%{_sysconfdir}/ices.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/ices.conf
mv $RPM_BUILD_ROOT%{_sysconfdir}/ices/ices.pm.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/ices.pm
mv $RPM_BUILD_ROOT%{_sysconfdir}/ices/ices.py.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/ices.py

rm -fr $RPM_BUILD_ROOT/usr/doc
# We don't want libshout here !
rm -fr $RPM_BUILD_ROOT/%_includedir/shout
rm -f $RPM_BUILD_ROOT/%_libdir/libshout*

install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_initrddir}

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd %{name} %{_var}/log/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING INSTALL NEWS README README.playlist TODO
%doc doc/%{name}manual.html
%{_bindir}/%{name}
%{_mandir}/man1/ices.1.bz2
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.pm
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.py
%config(noreplace) %{_initrddir}/%{name}
%attr(-,ices,ices) %{_var}/log/%{name}

%changelog
* Sat Aug 09 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3-2mdk
- rebuild for new python

* Thu Jul 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.3-1mdk
- 0.3
- init script
- run as ices user, ices group
- better default configuration
- all configuration files in %{_sysconfdir}/%{name}
- fixed python compilation

* Sat Mar 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-5mdk
- plf rebuild

* Fri Jan 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-4mdk
- rebuild
- merge plf options
- build with libshout (plf)

* Wed Aug 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-3mdk
- rebuild against perl-thread

* Mon Jul 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-2mdk
- rebuild for new perl

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-1mdk
- 0.2.3

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.2-3mdk
- fix libxml2 path

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.2-2mdk
- contributed by Olivier Thauvin <thauvin@aerov.jussieu.fr>
- rpmlint fixes

* Fri Dec 14 2001 Olivier Thauvin 0.2.2-1mdkot
- First mdk release.
